/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID
var ls_module_id='999';
var ls_node=null;//当前选中的Node
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载模块分类下拉框
var v_mtquery = {};
var v_mt_data = jwAppCommonModel.jwAppsCommonDataAction.listSysModuletypeAll(v_mtquery);

var v_parent_data = jwAppColumnModel.jwAppsColumnDataAction.listColumnTree();

//加载是否有效下拉框
var v_yesno_data = [{CODE_ID:'1',CODE_NAME:'失效'},{CODE_ID:'0',CODE_NAME:'有效'}];
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"模块信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsColumnData_list',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
 				{
 					field : 'COLUMN_ID',
 					title : '栏目编号',
 					width : 100,
 					align : 'center'
				}, {
					field : 'NAME',
					title : '栏目名称',
					width : 120,
					align : 'center'
				}, {
					field : 'PARENT_NAME',
					title : '父级栏目',
					width : 120,
					align : 'center'
				}, {
					field : 'IS_WORK',
					title : '是否有效',
					width : 120,
					align : 'center'
				}
             ] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (70 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsColumnView_columnTabDetail",is_row,"新增",true,0.65,0.65,160,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#IS_WORK').combobox({
		data : v_yesno_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#PARENT_ID').combobox({
		data : v_parent_data.rowSet,
		valueField : 'UUID',
		textField : 'NAME',
		panelHeight : 'auto',
		editable:false
	});
}
//保存
function insertData(is_entity){
	var v_result = jwAppColumnModel.jwAppsColumnActAction.insertColumn(is_entity);
	reloadTree();
	$('#list').datagrid('load', {});
	$.messager.alert('提示', v_result.VALUE);
	closeBox("detail");
	return v_result;
}
/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	openEditRow("jwAppsColumnView_columnTabDetail",is_row[0],"编辑",true,0.65,0.65,160,0);	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	$('#IS_WORK').combobox({
		data : v_yesno_data,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable:false,  
		panelHeight:'auto'
	});
	$('#PARENT_ID').combobox({
		data : v_parent_data.rowSet,
		valueField : 'UUID',
		textField : 'NAME',
		panelHeight : 'auto',
		editable:false
	});
}
//保存
function updateData(is_entity){
	var v_result = jwAppColumnModel.jwAppsColumnActAction.updateColumn(is_entity);
	reloadTree();
	$('#list').datagrid('load', {});
	$.messager.alert('提示', v_result.VALUE);
	closeBox("detail");
	return v_result;
}

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = jwAppColumnModel.jwAppsColumnActAction.deleteColumn(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
		}
	});
}

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].UUID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = jwAppColumnModel.jwAppsColumnActAction.deleteColumn(v_query);
			$.messager.alert('提示',v_result.VALUE);
			reloadTree();
			$('#list').datagrid('load', {});
		}
	});
}


/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow() {
	$('#list').datagrid('load', {});
	$("#onlineUsertab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#columntab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：11
 * 功能：加载报表树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
		  ls_node = treeNode;
		  zTree.selectNode(ls_node);
		}else{
			zTree.selectNode(ls_node);
			modifyNode(ls_node);
		}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_PARENT_ID =treeNode.UUID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
	
}
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsColumnData_listColumnTree","coliumnTab_tree","UUID","1");

function reloadTree(){
	loadTree("jwAppsColumnData_listColumnTree","coliumnTab_tree","UUID","1");
}
/****/
